Subject: Re: Improvements to integer option parsing

From: Junio C Hamano <[email-masked]>
Date: Mon, 22 Jun 2015 15:09:31 -0700

Charles Bailey <[email-masked]> writes:

> This is a re-roll of the first two patches in my previous series which used to
> include "filter-objects" which is now a separate topic.
>
> [PATCH 1/2] Correct test-parse-options to handle negative ints
>
> The first one has changed only in that I've moved the additional test to a more
> logical place in the test file.
>
> [PATCH 2/2] Move unsigned long option parsing out of pack-objects.c
>
> I've made the following changes to the second commit:
>
> - renamed this OPT_MAGNITUDE to try and convey something that is
> both unsigned and might benefit from a 'scale' suffix. I'm expecting
> more discussion on the name!

I think that name is very sensible.

> - marginally improved the opterror message on failed parses

I'd queue with "s/a integer/a non-negative integer/".

> - noted the change in behavior for the error messages generated for
> pack-objects' --max-pack-size and --window-memory in the commit message

Thanks.  Queued.